Bug 245262 - [NEW PORT] multimedia/kodi-addon-game.libretro.pcsx-rearmed-devel: Kodi game addon for Sony - PlayStation (PCSX ReARMed)
Summary: [NEW PORT] multimedia/kodi-addon-game.libretro.pcsx-rearmed-devel: Kodi game ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on: 245259
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-02 01:36 UTC by rozhuk.im
Modified: 2021-02-28 18:53 UTC (History)
2 users (show)

See Also:


Attachments
patch (4.47 KB, patch)
2020-04-02 01:36 UTC, rozhuk.im
no flags Details | Diff
patch (4.99 KB, patch)
2020-04-02 23:14 UTC, rozhuk.im
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2020-04-02 01:36:26 UTC
Created attachment 212961 [details]
patch

PCSX ReARMed is yet another PCSX fork based on the PCSX-Reloaded
project, which itself contains code from PCSX, PCSX-df and
PCSX-Revolution.
This version is ARM architecture oriented and features MIPS->ARM
recompiler by Ari64, NEON GTE code and more performance improvements.
It was created for Pandora handheld, but should be usable on other
devices after some code adjustments (N900, GPH Wiz/Caanoo, PlayBook
versions are also available).

PCSX ReARMed features ARM NEON GPU by Exophase, that in many cases
produces pixel perfect graphics at very high performance. There is also
Una-i's GPU plugin from PCSX4ALL project, and traditional P.E.Op.S. one.


This port is for multimedia/kodi-devel only.

WWW: https://github.com/libretro/pcsx_rearmed
Comment 1 rozhuk.im 2020-04-02 23:14:51 UTC
Created attachment 212997 [details]
patch
Comment 2 Bernhard Froehlich freebsd_committer 2021-01-21 08:37:44 UTC
I'll take it.
Comment 3 Bernhard Froehlich freebsd_committer 2021-02-28 18:53:05 UTC
Committed. Thanks!
Comment 4 commit-hook freebsd_committer 2021-02-28 18:53:15 UTC
A commit references this bug:

Author: decke
Date: Sun Feb 28 18:52:48 UTC 2021
New revision: 566791
URL: https://svnweb.freebsd.org/changeset/ports/566791

Log:
  PCSX ReARMed is yet another PCSX fork based on the PCSX-Reloaded
  project, which itself contains code from PCSX, PCSX-df and
  PCSX-Revolution.
  This version is ARM architecture oriented and features MIPS->ARM
  recompiler by Ari64, NEON GTE code and more performance improvements.
  It was created for Pandora handheld, but should be usable on other
  devices after some code adjustments (N900, GPH Wiz/Caanoo, PlayBook
  versions are also available).

  PCSX ReARMed features ARM NEON GPU by Exophase, that in many cases
  produces pixel perfect graphics at very high performance. There is also
  Una-i's GPU plugin from PCSX4ALL project, and traditional P.E.Op.S. one.

  WWW: https://github.com/libretro/pcsx_rearmed

  PR:		245262
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/games/Makefile
  head/games/kodi-addon-game.libretro.pcsx-rearmed/
  head/games/kodi-addon-game.libretro.pcsx-rearmed/Makefile
  head/games/kodi-addon-game.libretro.pcsx-rearmed/distinfo
  head/games/kodi-addon-game.libretro.pcsx-rearmed/pkg-descr
  head/games/kodi-addon-game.libretro.pcsx-rearmed/pkg-message